<?php

namespace Netzmacher\Browser\Utility\UserFunc;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2017-2021 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Php helper methods
 *
 * @package TYPO3
 * @subpackage org
 * @author Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @version 8.7.0
 * @since 8.7.0
 */
class PhpHelper
{

	/**
	 * replaceInArrayTree( ): Enables the replacement of search words in tree arrays
	 * Substitutes: BackendUtility::implodeTSParams( )
	 *
	 * @param	array		$arrSearch		search array
	 * @param	array		$arrReplace		replace array
	 * @param	array		$arrTree			tree array
	 * @return	array	$arrTree			tree array
	 * @version 8.7.0
	 * @since 8.7.0
	 * @internal #t1649
	 */
	public static function replaceInArrayTree( $arrSearch, $arrReplace, $arrTree )
	{
		$strTree = json_encode( ( array ) $arrTree );
		$strTree = str_replace( ( array ) $arrSearch, ( array ) $arrReplace, $strTree );
		$arrTree = json_decode( $strTree, true );

		return $arrTree;
//		var_dump( __METHOD__, __LINE__, $strTree, $arrTree );
//		die();
	}

}
