<?php

namespace Netzmacher\QuickShop\Utility\Userfunc;

if( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

use Netzmacher\QuickShop\Utility\Userfunc\TYPO3v;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2012-2021 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Class provides methods for the extension manager.
 *
 * @author      Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package     TYPO3
 * @subpackage  quick_shop
 * @version     7.0.2
 * @since       0.0.1
 */
class ExtManager
{

  /**
   * Path of the locallang file
   *
   * @var string
   */
  private $lll = 'LLL:EXT:quick_shop/Resources/Private/Language/Userfunc/ExtManager.xml:';

  /**
   * Max width of div tags
   *
   * @var string
   */
  private $maxWidth = "600px";

  /**
   * Version of TYPO3 (sample: 4.7.7 -> 4007007)
   *
   * @var string
   */
  public $typo3Version = null;

  /**
   * promptEvaluatorTYPO3version(): Displays the quick start message.
   *
   * @return  string    message wrapped in HTML
   * @version 0.0.1
   * @since   0.0.1
   */
  public function promptEvaluatorTYPO3version()
  {
//.message-notice
//.message-information
//.message-ok
//.message-warning
//.message-error

    $prompt = null;

    $TYPO3v = TYPO3v::get();

    switch( true )
    {
      case( $TYPO3v < 6002000 ):
        // Smaller than 6.2
        $prompt = $prompt . '
          <div class="typo3-message message-warning" style="max-width:' . $this->maxWidth . ';">
						<div class="message-body">
							<div class="panel panel-warning">
								<div class="panel-heading">
									' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseWarning' ) . '
								</div>
								<div class="panel-body">
		              ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptEvaluatorTYPO3version62smaller' ) . '
								</div>
							</div>
						</div>
          </div>
          ';
        break;
      case( $TYPO3v < 7006000 ):
        // Smaller than 7.6
        $prompt = $prompt . '
          <div class="typo3-message message-ok" style="max-width:' . $this->maxWidth . ';">
						<div class="message-body">
							<div class="panel panel-success">
								<div class="panel-heading">
									' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseSuccess' ) . '
								</div>
								<div class="panel-body">
		              ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptEvaluatorTYPO3version76smaller' ) . '
								</div>
							</div>
						</div>
          </div>
          ';
        break;
      case( $TYPO3v < 8007000 ):
        // Smaller than 8.7
        $prompt = $prompt . '
          <div class="typo3-message message-ok" style="max-width:' . $this->maxWidth . ';">
						<div class="message-body">
							<div class="panel panel-success">
								<div class="panel-heading">
									' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseSuccess' ) . '
								</div>
								<div class="panel-body">
		              ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptEvaluatorTYPO3version76smaller' ) . '
								</div>
							</div>
						</div>
          </div>
          ';
        break;
      case( $TYPO3v < 8007000 ):
        // Smaller than 8.7
        $prompt = $prompt . '
          <div class="typo3-message message-ok" style="max-width:' . $this->maxWidth . ';">
						<div class="message-body">
							<div class="panel panel-success">
								<div class="panel-heading">
									' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseSuccess' ) . '
								</div>
								<div class="panel-body">
		              ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptEvaluatorTYPO3version87smaller' ) . '
								</div>
							</div>
						</div>
          </div>
          ';
        break;
      case( $TYPO3v < 9000000 ):
        // Greater than 9.0
        $prompt = $prompt . '
          <div class="typo3-message message-ok" style="max-width:' . $this->maxWidth . ';">
						<div class="message-body">
							<div class="panel panel-success">
								<div class="panel-heading">
									' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseSuccess' ) . '
								</div>
								<div class="panel-body">
		              ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptEvaluatorTYPO3version90smaller' ) . '
								</div>
							</div>
						</div>
          </div>
          ';
        break;
      default:
        $prompt = $prompt . '
          <div class="typo3-message message-ok" style="max-width:' . $this->maxWidth . ';">
						<div class="message-body">
							<div class="panel panel-success">
								<div class="panel-heading">
									' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseSuccess' ) . '
								</div>
								<div class="panel-body">
		              ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptEvaluatorTYPO3version90orGreater' ) . '
								</div>
							</div>
						</div>
          </div>
          ';
        break;
    }

    return $prompt;
  }

  /**
   * promptExternalLinks(): Displays the quick start message.
   *
   * @return  string    message wrapped in HTML
   * @version 0.0.1
   * @since   0.0.1
   */
  public function promptExternalLinks()
  {
//.message-notice
//.message-information
//.message-ok
//.message-warning
//.message-error

    $prompt = null;

    $prompt = $prompt . '
<div class="message-body" style="max-width:600px;">
	<div class="typo3-message message-information">
		<div class="message-body">
			<div class="panel panel-info">
				<div class="panel-heading">
				  ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseInfo' ) . '
				</div>
				<div class="panel-body">
				  ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptExternalLinksBody' ) . '
				</div>
			</div>
		</div>
	</div>
</div>';

    return $prompt;
  }

  /**
   * promptSponsors( ): Displays the quick start message.
   *
   * @return  string    message wrapped in HTML
   * @access  public
   * @version 3.0.0
   * @since   3.0.0
   */
  public function promptSponsors()
  {
//.message-notice
//.message-information
//.message-ok
//.message-warning
//.message-error

    $prompt = null;

    $prompt = $prompt . '
<div class="message-body" style="max-width:600px;">
	<div class="typo3-message message-information">
		<div class="message-body">
			<div class="panel panel-info">
				<div class="panel-heading">
				  ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptPhraseInfo' ) . '
				</div>
				<div class="panel-body">
				  ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptSponsors' ) . '
				</div>
			</div>
		</div>
	</div>
</div>';

    return $prompt;
  }

}