<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/* * ****************************************************************************
 * Set TYPO3 version
 * **************************************************************************** */

// #t0606, 160216, dwildt, +
list( $main, $sub, $bugfix ) = explode( '.', TYPO3_version );
$typo3Version = ( ( int ) $main ) * 1000000;
$typo3Version = $typo3Version + ( ( int ) $sub ) * 1000;
$typo3Version = $typo3Version + ( ( int ) $bugfix ) * 1;


/* * ****************************************************************************
 * Configuration by the extension manager
 * **************************************************************************** */

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'browser' ] );

/* * ****************************************************************************
 * Language for labels of static templates and page tsConfig
 * **************************************************************************** */

$llStatic = $confArr[ 'LLstatic' ];
switch ( $llStatic )
{
  case($llStatic == 'German'):
    $llStatic = 'de';
    break;
  default:
    $llStatic = 'default';
}

/* * ****************************************************************************
 * Enables the Include Static Templates
 * **************************************************************************** */

require_once( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'browser' ) . 'Configuration/ExtTables/Default/includeStaticTemplates.php' );

/* * ****************************************************************************
 * Enables Page TSconfig for powermail
 * **************************************************************************** */

require_once( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'browser' ) . 'Configuration/ExtTables/Default/TSconfig/Page/TxPowermail/default.php' );

/* * ****************************************************************************
 * pagetree icon
 * **************************************************************************** */

//require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'browser' ) . 'Configuration/ExtTables/Default/IconRegistry.php');
require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'browser' ) . 'Configuration/ExtTables/Default/SvgIconProvider.php');

/* * ****************************************************************************
 * Plugin 1 configuration: Browser
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
        'browser'
        , 'Pi1'
        , 'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi1'
        , Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( 'browser' ) . 'ext_icon.svg'
);
$pluginSignature = str_replace( '_', '', 'browser' ) . '_pi1';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $pluginSignature ] = 'layout,select_key';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $pluginSignature ] = 'pi_flexform';
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        $pluginSignature, 'FILE:EXT:browser/Configuration/FlexForms/Default/Pi1/flexform.xml'
);
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
        array(
  'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi1'
  , $pluginSignature
  , 'EXT:browser/ext_icon.svg'
        )
        , 'list_type'
);


/* * ****************************************************************************
 * Plugin 6 configuration: Frontend Editing
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
        'browser'
        , 'Pi6'
        , 'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi6'
        , Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( 'browser' ) . 'ext_icon.svg'
);
$pluginSignature = str_replace( '_', '', 'browser' ) . '_pi6';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $pluginSignature ] = 'layout,select_key,pages,recursive';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $pluginSignature ] = 'pi_flexform';
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        $pluginSignature, 'FILE:EXT:browser/Configuration/FlexForms/Default/pi6/flexform.xml'
);
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
        array(
  'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi6'
  , $pluginSignature
  , 'EXT:browser/ext_icon.svg'
        )
        , 'list_type'
);

/* * ****************************************************************************
 * Plugin 5 configuration
 * **************************************************************************** */

// #t1602, 171031, dwildt, -
//TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
//        'browser'
//        , 'Pi5'
//        , 'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi5'
//        , Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( 'browser' ) . 'ext_icon.svg'
//);
//$pluginSignature = str_replace( '_', '', 'browser' ) . '_pi5';
//$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $pluginSignature ] = 'layout,select_key';
//$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $pluginSignature ] = 'pi_flexform';
//TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
//        $pluginSignature, 'FILE:EXT:browser/Configuration/FlexForms/Default/pi5/flexform.xml'
//);
//// Register our file with the flexform structure
//TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
//  'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi5'
//  , $pluginSignature
//  , 'EXT:browser/ext_icon.svg'
//        )
//        , 'list_type'
//);
// Add the Flexform to the Plugin List
// Plugin 1 configuration

/* * ****************************************************************************
 * Plugin 4 configuration
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
        'browser'
        , 'Pi4'
        , 'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi4'
        , Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( 'browser' ) . 'ext_icon.svg'
);
$pluginSignature = str_replace( '_', '', 'browser' ) . '_pi4';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $pluginSignature ] = 'layout,select_key';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $pluginSignature ] = 'pi_flexform';
// #i0355, 170726, dwildt, ~
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        $pluginSignature, 'FILE:EXT:browser/Configuration/FlexForms/Default/Pi1/flexform.xml'
);
// Register our file with the flexform structure
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
  'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi4'
  , $pluginSignature
  , 'EXT:browser/ext_icon.svg'
        )
        , 'list_type'
);
// Add the Flexform to the Plugin List

/* * ****************************************************************************
 * Plugin 3 configuration: Manuals
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
        'browser'
        , 'Pi3'
        , 'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi3'
        , Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( 'browser' ) . 'ext_icon.svg'
);
$pluginSignature = str_replace( '_', '', 'browser' ) . '_pi3';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $pluginSignature ] = 'layout,select_key,pages,recursive';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $pluginSignature ] = 'pi_flexform';
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        $pluginSignature, 'FILE:EXT:browser/Configuration/FlexForms/Default/Pi3/flexform.xml'
);
// Register our file with the flexform structure
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
  'LLL:EXT:browser/Configuration/ExtTables/Default/locallang_db.xml:tt_content.list_type_pi3'
  , $pluginSignature
  , 'EXT:browser/ext_icon.svg'
        )
        , 'list_type'
);
// Add the Flexform to the Plugin List