plugin.tx_browser_pi1 {
  displayList {
      // empty statement: for proper comments only
    master_templates {
    }
      // category_menu
    master_templates =
    master_templates {
        // Master template for a category menu
      category_menu = CATEGORY_MENU
      category_menu {
          // If condition is met, filter will display. If not, filter will hide.
        condition = TEXT
        condition {
            // True (default)
          value = 1
        }
        treeview {
            // [Boolean] Disable the treeview. Enable is recommended. Has an effect only in case of cps_tcatree and a proper TCA configuration.
          enabled = TEXT
          enabled {
              // true, false (default)
            value = {$plugin.tx_browser_pi1.jQuery.plugin.jstree.enable}
          }
            // [String] HTML id of the treeview.
          html_id = TEXT
          html_id {
              // treeview (default)
            value = {$plugin.tx_browser_pi1.jQuery.plugin.jstree.selector_01}
          }
            // [String] type: category_menu or checkbox. Property is for evaluation only.
          type = {$plugin.tx_browser_pi1.jQuery.plugin.jstree.plugins}
        }
          // [String/optional] Name for the piVar. Name must be unique.
        nice_piVar =
          // [Boolean] 1 (default): Hits are counted. 0: Any hit is counted (best performance!)
        count_hits = 1
          // [String] OR || AND: OR (default)
        modeAndOr = OR
          // [Boolean] Should be added a default item?
        first_item = 1
        first_item {
            // [Boolean] 1 (default): First item will displayed ever. 0: First item will displayed in case of items only.
          display_wo_items = 1
            // Wrap the first filter item
          cObject = COA
          cObject {
              // Value from locallang.xml
            20 = TEXT
            20 {
              data = LLL:EXT:browser/Classes/Plugins/Pi1/locallang.xml:label_filter_firstitem_default
                // Append hits
              append = TEXT
              append {
                if {
                    // Display hits only in case of one hit at least
                  isTrue {
                    field = hits
                  }
                }
                field = hits
                noTrimWrap  = | (|)|
              }
            }
            wrap = <li><a href="###URL###"###CLASS######STYLE######TITLE###>|</a></li>
          }
            // [STRING, unique] Value attribute in the option tag (#11401)
          option_value = 0
        }
          // [Boolean]: 1: If value is changing, AJAX will reload the form. 0: No auto reload.
        ajax_onchange = 1
          // [String] Wrap the object
        wrap = <div class="category_menu">###TITLE###|</div>
        wrap {
            // [Integer] Space characters from left margin in the HTML code
          nice_html_spaceLeft = 12
          title_stdWrap {
              // [String] Title of the object. If it shouldn't displayed, please delete the title_stdWrap array
            value = ###TABLE.FIELD###
            wrap  = <div class="category_menu_title">|</div>
          }
            // [String] Wrap the items
          object = <ul>|</ul>
          object {
              // [Integer] Space characters from left margin in the HTML code
            nice_html_spaceLeft = 14
          }
            // [String] Wrap one item
          item = ###VALUE###
          item {
              // [Boolean] 0: Item without any hit will not be displayed. 1: Any item will be displayed.
            display_without_any_hit = 0
              // [Boolean] 1 (default): If hits aren't counted, the item will displayed (flag_displayInCaseOfNoCounting is set. See cObject). 0: Item won't displayed, if count_hits is 0.
            displayInCaseOfNoCounting = 1
              // [Boolean] 1: Items display the number of hits. 0: Items doesn't display any number of hits.
            display_hits = 1
            display_hits {
                // [Boolean] 1: Hits are displayed behind the item. 0: Hits are displayed in front of the item.
              behindItem = 1
              stdWrap {
                noTrimWrap = | (|)|
              }
                // [Boolean] 0 (default): Hit must be greater 0 for displaying. 1: Hit will displayed.
              display_empty_hits = 0
            }
              // [Integer] Space characters from left margin in the HTML code
            nice_html_spaceLeft = 16
              // [String] Class for a selected item
            selected = selected
              // [String] Default HTML class
            class = ###ITEM_SELECTED### ###ONCHANGE###
              // [String] Default HTML style
            style =
              // DEPRECATED - please use the cObject!
            wraps =
              // Wrap the filter item
            cObject = COA
            cObject {
								// #i0452, 181003, dwildt, -
#                // Value in case of a value
#              20 = TEXT
#              20 {
#                if {
#                  isTrue {
#                    field = value
#                  }
#                }
#                field = value
#                htmlSpecialChars  = 1
#                crop              = 60 | ... | 1
#              }
#                // Value in case of no value
#              21 = TEXT
#              21 {
#                if {
#                  isTrue {
#                    field = value
#                  }
#                  negate  = 1
#                }
#                data = LLL:EXT:browser/Classes/Plugins/Pi1/locallang.xml:label_categorymenu_noValue
#              }
								// #i0452, 181003, dwildt, +
							23 = TEXT
							23 {
                data = LLL:EXT:browser/Classes/Plugins/Pi1/locallang.xml:label_categorymenu_noValue
									// override.cObject.value = ###VALUE###
								override =
								override {
									cObject = TEXT
									cObject {
										value			= ###VALUE###
										required	= 1
									}
								}
								htmlSpecialChars  = 1
								crop              = 60 | ... | 1
							}
                // Hits
              30 = TEXT
              30 {
                if {
                    // Display hits only in case of one hit at least
                  isTrue {
                    field = hits
                  }
                }
                field = hits
                noTrimWrap  = | (|)|
              }
              if {
                isTrue {
                    // Display with hits only or in case of a tree view
                  cObject = COA
                  cObject {
                      // field = hits
                    10 = TEXT
                    10 {
                      field = hits
                    }
                      // field = tx_browser_pi1.flag_displayInCaseOfNoCounting
                    20 = TEXT
                    20 {
                      field = tx_browser_pi1.flag_displayInCaseOfNoCounting
                    }
                      // field = tx_browser_pi1.flag_treeview
                    30 = TEXT
                    30 {
                      field = tx_browser_pi1.flag_treeview
                    }
                  }
                }
              }
              wrap = <li><a href="###URL###"###CLASS######STYLE######TITLE###>|</a></li>
            }
          }
        }
        order {
            // [String] value || uid
          field = value
            // [String] ASC || DESC
          orderFlag = ASC
        }
        sql {
            // [String, SQL] And where statement. Example: tt_news_cat.author.field LIKE 'A%' AND tt_news.uid < 99
          andWhere =
        }
          // [BOOLEAN] 1: Display an area filter, 0: Don't display an area (default)
        area = 0
      }
    }
  }
}